## GstBtWaveReplay GstBtWaveReplay — wavetable player |

## Properties

GstBtWaveIndex | wave | Read / Write
gpointer | wave-callbacks | Read / Write
guint | wave-level | Read / Write

## Types and Values

struct | GstBtWaveReplay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstBtAudioSynth
                            ╰── GstBtWaveReplay

## Implemented Interfaces

GstBtWaveReplay implements GstPreset and GstBtTempo.

## Description

Plays wavetable assets pre-loaded by the application. Unlike in tracker machines, the wave is implicitly triggered at the start and one can seek in the song without loosing the audio.

## Functions

## Types and Values

### struct GstBtWaveReplay

    struct GstBtWaveReplay;

Class instance data.

## Property Details

### The `“wave”` property

      “wave”                     GstBtWaveIndex

Wave index.

Flags: Read / Write

Default value: no wave

### The `“wave-callbacks”` property

      “wave-callbacks”           gpointer

The wave-table access callbacks.

Flags: Read / Write

### The `“wave-level”` property

      “wave-level”               guint

Wave level index.

Flags: Read / Write

Allowed values: <= 100

Default value: 0